Download it now!
Bug 31252 - Improve the Overwrite File Dialog
Summary: Improve the Overwrite File Dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Sébastien Le Ray
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-31 02:28 UTC by Andrew
Modified: 2011-09-03 05:49 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Mockup of improved look (129.49 KB, image/png)
2010-10-31 02:28 UTC, Andrew
Details
Fix for alert box content (1.79 KB, patch)
2011-02-10 10:06 UTC, Sébastien Le Ray
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew 2010-10-31 02:28:01 UTC
Created attachment 39921 [details]
Mockup of improved look

If a user currently tries to overwrite an existing file through File>Save As, they are greeted with a dialog which isn't very useful or user-friendly.

First of all, they are told about 'the file', this should be replaced with something more informative, like "A file named '{NAME}'". This way they can quickly see what it is they are trying to overwrite.

Secondly, the whole question that the dialog is asking is summarised in one word, 'Overwrite?'. This is not satisfactory, especially given that this change is destructive, the file can't be recovered. This should be replace with a less technical sentence, that is more than a word, such as "Do you want to replace it?".

The buttons on the bottom should also be aligned with the left edge of the text.


Attached is a mockup with my proposed design (right) against the current dialog (left).


Any comments?
Comment 1 Peter Morgan 2010-11-23 14:06:49 UTC
Think your dialog is much clearer.
Comment 2 Yifan Jiang 2010-12-01 01:43:59 UTC
Thank you Andrew, mark as enhancement.
Comment 3 Rainer Bielefeld Retired 2011-01-28 10:16:28 UTC
Yes, tat would be some great improvement, not only for WRITER

BTW, some days ago I read someting about an extension that allows to create backups of OOo documents, as far as I remember creating a copy of the existing document with name like oldname_YYMMDDNo.od*. Unfortunately currently I can't find it.

I believe if this issue will be tackled you should think about a third button:

  File /Filename/ already exists:
  <Overwrite> <Backup old Version and overwrite> <Cancel>
Comment 4 Sébastien Le Ray 2011-02-10 10:06:17 UTC
Created attachment 43208 [details]
Fix for alert box content

Provided patch modifies existing dialog as proposed in the mockup.
Comment 5 Andrew 2011-02-10 23:25:33 UTC
(From a non-C++ programmer point of view) Looks great Sebastian! Thanks so much :)
Comment 6 Timothy Arceri 2011-09-03 05:49:33 UTC
This patch has been committed marking as fixed